Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.globalmedicalfile.core.v1
Class NihiiType

    java.lang.Object
      be.fgov.ehealth.globalmedicalfile.core.v1.SelfRefType
          be.fgov.ehealth.globalmedicalfile.core.v1.NihiiType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:09:49+02:00",
               comments="JAXB RI v2.2.11")
    public class NihiiType

extends SelfRefType
implements Serializable

The NIHII number with its meta-data.

Java class for NihiiType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="NihiiType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}SelfRefType">
           <sequence>
             <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Value" type="{urn:be:fgov:ehealth:globalmedicalfile:core:v1}ValueRefString" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`NihiiType()`

Method Summary
`String` | `getQuality()` Gets the value of the quality property.
`ValueRefString` | `getValue()` Gets the value of the value property.
`void` | `setQuality(String value)` Sets the value of the quality property.
`void` | `setValue(ValueRefString value)` Sets the value of the value property.

Methods inherited from class be.fgov.ehealth.globalmedicalfile.core.v1.SelfRefType
`getId, getRef, setId, setRef`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NihiiType

    public NihiiType()

Method Detail

### getQuality

    public String getQuality()

  Gets the value of the quality property.

  Returns:
    possible object is `String`

### setQuality

    public void setQuality(String value)

  Sets the value of the quality property.

  Parameters:
    `value` - allowed object is `String`

### getValue

    public ValueRefString getValue()

  Gets the value of the value property.

  Returns:
    possible object is `ValueRefString`

### setValue

    public void setValue(ValueRefString value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `ValueRefString`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.